import peewee


database = peewee.Proxy()


class BaseModel(peewee.Model):
    class Meta:
        database = database


class CoDUser(BaseModel):
    user = peewee.TextField()


class CoDStats(BaseModel):
    ts = peewee.DateTimeField()
    typ = peewee.TextField()
    value = peewee.FloatField()

    class Meta:
        primary_key = peewee.CompositeKey('ts', 'typ')


def create_tables():
    database.create_tables([TestPeewee])
